package net.knarcraft.questmobspawns.listener;

import net.knarcraft.questmobspawns.util.QuestMobHelper;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDeathEvent;
import org.bukkit.event.entity.EntityDropItemEvent;
import org.jetbrains.annotations.NotNull;

/**
 * A listener for the death of quest mobs
 */
public class MobDeathListener implements Listener {

    @EventHandler(priority = EventPriority.HIGHEST, ignoreCancelled = true)
    public void onMobDeath(@NotNull EntityDeathEvent deathEvent) {
        if (QuestMobHelper.isSpawnedMob(deathEvent.getEntity())) {
            deathEvent.getDrops().clear();
            deathEvent.setDroppedExp(0);
        }
    }

    @EventHandler(priority = EventPriority.HIGHEST, ignoreCancelled = true)
    public void onMobDrop(@NotNull EntityDropItemEvent dropEvent) {
        if (QuestMobHelper.isSpawnedMob(dropEvent.getEntity())) {
            dropEvent.setCancelled(true);
        }
    }

}
